Next: ldiv, Previous: getenv, Up: Stdlib

### 2.19 `labs`—long integer absolute value

Synopsis

         #include <stdlib.h>
         long labs(long i);

Description
`labs` returns the absolute value of i (also called the magnitude of i). That is, if i is negative, the result is the opposite of i, but if i is nonnegative the result is i.

The similar function `abs` uses and returns `int` rather than `long` values.

Returns
The result is a nonnegative long integer.

Portability
`labs` is ANSI.

No supporting OS subroutine calls are required.